<template>
  <Header />
  <div class="primary min-vh-100 d-flex flex-row align-items-center">
    <CContainer>
      <CRow class="justify-content-center">
        <CCol :md="8">
          <CCardGroup>
            <CCard class="p-4">
              <CCardBody>
                <CForm>
                  <h1>Connexion</h1>
                  <p class="text-medium-emphasis">Connectez vous à votre compte</p>
                  <CInputGroup class="mb-3">
                    <CInputGroupText>
                      <CIcon :icon="icon.cilUser" />
                    </CInputGroupText>
                    <CFormInput placeholder="Identifiant" autocomplete="identifiant" />
                  </CInputGroup>
                  <CInputGroup class="mb-4">
                    <CInputGroupText>
                      <CIcon :icon="icon.cilLockLocked" />
                    </CInputGroupText>
                    <CFormInput type="password" placeholder="Mot de passe" autocomplete="mdp-actuel" />
                  </CInputGroup>
                  <CRow>
                    <CCol :xs="6">
                      <CButton color="primary" class="px-4"> Connexion </CButton>
                    </CCol>
                    <CCol :xs="6" class="text-right">
                      <CButton color="link" class="px-0">
                        Mot de passe oublié ?
                      </CButton>
                    </CCol>
                  </CRow>
                </CForm>
              </CCardBody>
            </CCard>
            <CCard class="text-white bg-primary py-5" style="width: 44%">
              <CCardBody class="text-center">
                <div>
                  <h2>S'inscrire</h2>
                  <p>
                    Si vous n'avez pas encore créé de compte, vous pouvez le faire ici !
                  </p>
                  <a href="./Register">
                    <CButton color="light" variant="outline" class="mt-3">
                      Je m'inscris !
                    </CButton>
                  </a>
                </div>
              </CCardBody>
            </CCard>
          </CCardGroup>
        </CCol>
      </CRow>
    </CContainer>
  </div>
</template>

<script>
import { CContainer, CRow, CCol, CCard, CCardBody, CForm, CButton, CInputGroup, CFormInput, CInputGroupText, CCardGroup } from '@coreui/vue'
import { CIcon } from '@coreui/icons-vue'
import * as icon from '@coreui/icons';
import Header from '../components/Header.vue';

export default {
  components: {
    CContainer,
    CRow,
    CCol,
    CCard,
    CCardBody,
    CForm,
    CButton,
    CInputGroupText,
    CFormInput,
    CInputGroup,
    CIcon,
    CCardGroup,
    Header
  },
  setup() {
    return {
      icon,
    }
}}
</script>

<style></style>
